<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "vehmod";
$formname = "Vehmod Print";
$file = "vehmod_print_fr.php";
$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);

    $name = $_POST[name];
    $charges = $_POST[charges];

    $namecond = "";
    $chargescond = "";


    if (!empty($name)) {
        $namecond = " AND `code`='$name' ";
    }
    
    if (!empty($charges)) {
        $chargescond = " AND `code`='$charges' ";
    }

    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE code!='' $namecond $chargescond")or die(mysqli_error($conn));

if (isset($_POST["view"])) {
    include("includes/linkshead.php");
    ?>
    <script src="MyScript/item.js" type="text/javascript"></script>
    </head>
    <body>
        <div class="container">
            
<?php include("includes/head_rep.php");?>
            <div class="row">
                <div class="col-lg-12 pad">
                    <table class="table table-bordered table-condensed table-hover">
                        <tr  style="background-color: #26A69A">
                            <th width="10%">Sr.</th>
                            <th width="60%">Name</th>
                            <th width="30%">Dept.Code</th>

                        </tr>
                        <?php
                        $ctr = 0;
                        while ($pmain = mysqli_fetch_array($getpmain)) {
                            $ctr++;
                            Echo "<tr>";
                            Echo "<td>$ctr</td>";
                            Echo "<td>$pmain[name]</td>";
                            Echo "<td>$pmain[charges]</td>";
                            Echo "</tr>";
                            
                        }
                        ?>
                    </table>
                </div>
            </div>
        </div>

        <?php include("includes/linksfoot.php"); ?>
    </body>
    </html>
    <?
}
if (isset($_POST["excel"])) {

    $contents.="Sr.,Name,Dept.Code\n";
    
    $ctr = 1;
    while ($pmain = mysqli_fetch_array($getpmain)) {
        
        $contents.= "$ctr" . ",";
        $contents.= "$pmain[name]" . ",";
        $contents.= "$pmain[charges]" . "\n";
        $ctr++;
    }
    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
?>
